Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.util
[Java] Interface ObjectGraphBuilder.IdentifierResolver

    public interface ObjectGraphBuilder.IdentifierResolver

Strategy for picking the correct synthetic identifier.

Method Summary
`String` | `getIdentifierFor(String nodeName)` Returns the name of the property that will identify the node.

Method Detail

### getIdentifierFor

    public String getIdentifierFor(String nodeName)

  Returns the name of the property that will identify the node.
  Parameters:
    `nodeName` - the name of the node

Copyright © 2003-2010 The Codehaus. All rights reserved.